<div class="contenedor">
    <div *ngIf="verFormulario" class="flex items-center justify-center  py-12 px-4 sm:px-6 lg:px-8">
        <div class="max-w-md w-full space-y-8 ">
            <div>
                <h2 class="mt-6 text-center text-3xl font-extrabold text-gray-900">
                    {{esEditar? 'Editar' : 'Agregar'}} datos del vehiculo
                </h2>

            </div>

            <form *ngIf="vehiculoForm != null" class="mt-8 space-y-6" [formGroup]="vehiculoForm" novalidate>
                <div>
                    <label class="sr-only">Identificacion</label>
                    <input matInput #iident formControlName="identificacion" maxlength="10" placeholder="Identificación" class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-t-md focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 focus:z-10 sm:text-sm">
                    <label class="sr-only">Selecciona marca</label>
                    <select formControlName="marca" class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-700 rounded-t-md focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 focus:z-10 sm:text-sm">
                        <option *ngFor="let mark of lstMarcas" value="{{mark.marca}}" [selected]="mark.marca == vehiculoAct?.marca?.marca">{{mark.descripcion}}</option>
                    </select>
                    <label class="sr-only">Modelo</label>
                    <input matInput type="number" min="1900" max="2100" #mod formControlName="modelo" maxlength="10" placeholder="Modelo" class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-t-md focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 focus:z-10 sm:text-sm">
                    <label class="sr-only">Selecciona Color</label>
                    <select formControlName="color" class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-700 rounded-t-md focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 focus:z-10 sm:text-sm">
                        <option *ngFor="let colr of lstColores" value="{{colr.color}}" [selected]="colr.color == vehiculoAct?.color?.color" >{{colr.descripcion}}</option>
                    </select>

                </div>
                <mat-slide-toggle (change)="cambioActivo($event)" checked="{{vehiculoAct?.activo}}">{{vehiculoAct?.activo? '':'NO'}} Activo </mat-slide-toggle><br/>
                <mat-slide-toggle (change)="cambioAsignado($event)" checked="{{vehiculoAct?.asignado}}">{{vehiculoAct?.asignado? '':'NO'}} Asignado</mat-slide-toggle>
                <div>
                    <button (click)="enviarDatos()" class="group relative w-full flex justify-center py-2 px-4 border border-transparent text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                        <span class="absolute left-0 inset-y-0 flex items-center pl-3">
                        <svg class="h-5 w-5 text-indigo-500 group-hover:text-indigo-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                            <path fill-rule="evenodd" d="M5 9V7a5 5 0 0110 0v2a2 2 0 012 2v5a2 2 0 01-2 2H5a2 2 0 01-2-2v-5a2 2 0 012-2zm8-2v2H7V7a3 3 0 016 0z" clip-rule="evenodd" />
                        </svg>
                        </span>
                        {{esEditar? 'Guardar' : 'Agregar'}}
                    </button>
                </div>
                <div>
                    <button type="submit" (click)="cancelar()" class="group relative w-full flex justify-center py-2 px-4 border border-transparent text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                        <span class="absolute left-0 inset-y-0 flex items-center pl-3">
                        <svg class="h-5 w-5 text-indigo-500 group-hover:text-indigo-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                            <path fill-rule="evenodd" d="M5 9V7a5 5 0 0110 0v2a2 2 0 012 2v5a2 2 0 01-2 2H5a2 2 0 01-2-2v-5a2 2 0 012-2zm8-2v2H7V7a3 3 0 016 0z" clip-rule="evenodd" />
                        </svg>
                        </span>
                        Cancelar
                    </button>
                </div>
            </form>
        </div>
    </div>

    <div *ngIf="!verFormulario" class="contenedor">
        <mat-icon *ngIf="credenciales?.usuario?.rol?.rol == 1" color="primary" class="icon-btn-big" (click)="agregar()">add_circle</mat-icon>
        <table mat-table [dataSource]="lstvehiculos" style="width: 100%;">
            <!-- ID-->
            <ng-container matColumnDef="id">
                <th mat-header-cell *matHeaderCellDef>ID</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.id}}</td>
            </ng-container>
            <!-- IDENTIFICACION -->
            <ng-container matColumnDef="identificacion">
                <th mat-header-cell *matHeaderCellDef>IDENTIFICACION</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.identificacion}}</td>
            </ng-container>
            <!-- MARCA -->
            <ng-container matColumnDef="marca">
                <th mat-header-cell *matHeaderCellDef>MARCA</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.marca?.descripcion}}</td>
            </ng-container>
            <!-- MODELO -->
            <ng-container matColumnDef="modelo">
                <th mat-header-cell *matHeaderCellDef>MODELO</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.modelo}}</td>
            </ng-container>
            <!-- COLOR -->
            <ng-container matColumnDef="color">
                <th mat-header-cell *matHeaderCellDef>COLOR</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.color?.descripcion}}</td>
            </ng-container>
            <!-- FECHA INGRESO -->
            <ng-container matColumnDef="fechaIngreso">
                <th mat-header-cell *matHeaderCellDef>FECHA INGRESO</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.fechaIngreso | date:'dd-MM-yyyy'}}</td>
            </ng-container>
            <!-- Activo -->
            <ng-container matColumnDef="estado">
                <th mat-header-cell *matHeaderCellDef>ESTADO</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.activo? 'ACTIVO': 'NO ACTIVO'}}</td>
            </ng-container>
            <!-- ASIGNADO -->
            <ng-container matColumnDef="asignado">
                <th mat-header-cell *matHeaderCellDef>ASIGNADO</th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">{{row.asignado? 'ASIGNADO': 'NO ASIGNADO'}}</td>
            </ng-container>
            <!-- OPCIONES -->
            <ng-container matColumnDef="opciones">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let row" class="tdTextCell">
                    <mat-icon color="primary" class="icon-btn" (click)="verNovedades(row)">visibility</mat-icon>
                    <span *ngIf="credenciales?.usuario?.rol?.rol == 1">
                        <mat-icon color="primary" class="icon-btn" (click)="editarVehiculo(row)">edit</mat-icon>
                        <mat-icon color="primary" class="icon-btn" (click)="borrar(row)">delete</mat-icon>
                    </span>
                </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="tituloColumnas"></tr>
            <tr mat-row *matRowDef="let row; columns:tituloColumnas" class="table-fila"></tr>
        </table>
        <mat-paginator #paginatorvehiculos [pageSizeOptions]="[5,10,20]" showFirstLastButtons></mat-paginator>
    </div>
</div>